Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.progress
Class IdeProgressIndicatorAccess

public abstract class IdeProgressIndicatorAccess

Provides access to the `IdeProgressIndicator` (used for creating progress indicators).

Author:
  TogetherSoft
See Also: IdeProgressIndicator

Method Summary
`static IdeProgressIndicator` | `createProgressIndicator()` Creates new `IdeProgressIndicator`.
`static IdeProgressIndicator` | `getProgressIndicator()` Returns `IdeProgressIndicator`.
`protected static void` | `setFactory(IdeProgressIndicatorFactory factory)` Specifies factory that will be used to create new `IdeProgressIndicator`.
`protected static void` | `setProgressIndicator(IdeProgressIndicator indicator)` Specifies `IdeProgressIndicator`.

Method Detail

### createProgressIndicator

    public static IdeProgressIndicator createProgressIndicator()

  Creates new `IdeProgressIndicator`.
  Returns: New `IdeProgressIndicator`.

### getProgressIndicator

    public static IdeProgressIndicator getProgressIndicator()

  Returns `IdeProgressIndicator`.
  Returns: `IdeProgressIndicator`
  See Also:
    IdeProgressIndicator

### setFactory

    protected static void setFactory(IdeProgressIndicatorFactory factory)

  Specifies factory that will be used to create new `IdeProgressIndicator`.
  Parameters:
    factory - `IdeProgressIndicatorFactory` object used to produce progress indicator

### setProgressIndicator

    protected static void setProgressIndicator(IdeProgressIndicator indicator)

  Specifies `IdeProgressIndicator`. This method can be called only once.
  Parameters:
    indicator - `IdeProgressIndicator` object to be used as the current progress indicator

Association Links

to Class com.togethersoft.openapi.ide.progress.IdeProgressIndicator

to Class com.togethersoft.openapi.ide.progress.IdeProgressIndicatorFactory

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD